/**
 * Author: Claudia D'Ambrosio
 * Date: 2012/02/14
 * MySolution.hpp
 */

//#include "BonTMINLP.hpp"
#include<iostream>
#include<string>
#include<sstream>
#include<cstdlib>
#include<cmath>

#ifndef _MYSOLUTIONH
#define _MYSOLUTIONH

using namespace  Ipopt;
using namespace Bonmin;
    

class MySolution 
{
public:

  /// Default constructor.
  MySolution();
  
  MySolution(int my_status, double my_of);

  /// virtual destructor.
  ~MySolution();
  
  int getStatus();
  double getOF();
  
  void setStatus(int status);
  void setOF(double of);
  
  
  void printInfo();
  
private:
   int status;
   double of;
};

#endif

